unit Unit4;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FastFX;

type
  TForm4 = class(TForm)
    sxDiv: TScrollBar;
    syDiv: TScrollBar;
    sRatio: TScrollBar;
    sWrap: TRadioButton;
    sBlank: TRadioButton;
    Label1: TLabel;
    procedure sxDivScroll(Sender: TObject; ScrollCode: TScrollCode;
      var ScrollPos: Integer);
    procedure sWrapClick(Sender: TObject);
    procedure FormHide(Sender: TObject);
  private
    { Private declarations }
  public
    procedure Process;
    { Public declarations }
  end;

var
  Form4: TForm4;

implementation

uses Unit2;

{$R *.DFM}

procedure TForm4.Process;
var
xDiv,yDiv,Ratio: Extended;
begin
  xDiv:=sxDiv.Position*0.5;
  yDiv:=syDiv.Position*0.5;
  Ratio:=sRatio.Position*0.5;
  if sWrap.Checked then
    WaveWrap(Form2.Buf,Form2.Bmp,xDiv,yDiv,Ratio)
  else
  begin
    ZeroMemory(Form2.Bmp.Bits,Form2.Bmp.Size);
    Wave(Form2.Buf,Form2.Bmp,xDiv,yDiv,Ratio);
  end;
  Form2.Refresh;
end;

procedure TForm4.sxDivScroll(Sender: TObject; ScrollCode: TScrollCode;
  var ScrollPos: Integer);
begin
  Process;
end;

procedure TForm4.sWrapClick(Sender: TObject);
begin
  Process;
end;

procedure TForm4.FormHide(Sender: TObject);
begin
  CopyMemory(Form2.Buf.Bits,Form2.Bmp.Bits,Form2.Buf.Size);

end;

end.
 